## edu.stanford.nlp.trees.international.arabic
Class ArabicTreeNormalizer.ArabicEmptyFilter

    java.lang.Object
      edu.stanford.nlp.trees.international.arabic.ArabicTreeNormalizer.ArabicEmptyFilter

All Implemented Interfaces:
  Filter<Tree>, Serializable

Enclosing class:
  ArabicTreeNormalizer

    public static class ArabicTreeNormalizer.ArabicEmptyFilter

extends Object
implements Filter<Tree>

Remove traces and pronoun deletion markers.

See Also:
  Serialized Form

Constructor Summary
`ArabicTreeNormalizer.ArabicEmptyFilter()`

Method Summary
`boolean` `accept(Tree t)` Checks if the given object passes the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArabicTreeNormalizer.ArabicEmptyFilter

    public ArabicTreeNormalizer.ArabicEmptyFilter()

Method Detail

### accept

    public boolean accept(Tree t)

  Description copied from interface: `Filter`
  Checks if the given object passes the filter.

  Specified by:
    `accept` in interface `Filter<Tree>`
  Parameters:
    `t` - an object to test
  Returns:
    Whether the object should be accepted (for some processing)

Stanford NLP Group